%define name  easymp3gain
%define version 0.5.0
%define release %mkrel 1

Summary: A graphical user interface for mp3gain
Name:	 %{name}
Version: %{version}
Release: %{release}
Group:   Sound
License: GPL
URL:	 http://sourceforge.net/projects/easymp3gain/
Source:	 easymp3gain-gtk2_0.5.0_i386.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires: vorbisgain
Requires: mp3gain
#Requires: aacgain
Obsoletes:  %{name} < %{version}-%{release}
Provides: %{name} = %{version}-%{release}

%description
A Graphical User Interface (GUI) for mp3gain. Enables you to modify 
the loudness level of mp3,ogg,mp4 files) 


%prep
%setup -q -n easymp3gain-gtk2_0.5.0-1_i386


%build

%install
rm -rf %{buildroot}

mkdir -p %buildroot%_datadir/%{name}
cp -af * %buildroot%_datadir/%{name}

#launcher
mkdir -p %buildroot%_bindir
cat > %buildroot%_bindir/%{name} << EOF
#!/bin/sh
cd %{_datadir}/%{name}
exec ./%{name}
EOF
chmod +x %{buildroot}%{_bindir}/%{name}

#menu
mkdir -p %buildroot%_datadir/applications
cat > %buildroot%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=EasyMP3Gain
Comment=Graphical User Interface for MP3Gain
Exec=%{name}
Icon=%{name}.png
Type=Application
Terminal=false
Categories=GTK;Audio;AudioVideo;
EOF
rm -f %{buildroot}%_datadir/%{name}/*.txt 
rm -f %{buildroot}%_datadir/%{name}/AUTHORS

mkdir -p %{buildroot}%_datadir/pixmaps
install -m 0644 icons/easymp3gain-48.png %{buildroot}%_datadir/pixmaps/%{name}.png


%clean
rm -rf %{buildroot}

%files 
%defattr(-,root,root,-)
%doc *.txt AUTHORS
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}
%{_datadir}/pixmaps/%{name}.png


%changelog
* Mon Jun 14 2010 Oliver Burger <rpm@mandrivauser.de> 0.5.0-1mud2010.1
- initial package for Mandriva Linux
- based upon pclos package by slick50 <lxgator@gmail.com>
